## RBImportErrorsSource

RBImportErrorsSource — source for displaying import errors

## Functions

RBSource * | rb_import_errors_source_new ()

## Properties

RhythmDBEntryType * | ignore-entry-type | Read / Write / Construct Only
RhythmDBEntryType * | normal-entry-type | Read / Write / Construct Only

## Types and Values

struct | RBImportErrorsSource
struct | RBImportErrorsSourceClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── RBDisplayPage
                            ╰── RBSource
                                ╰── RBImportErrorsSource

## Implemented Interfaces

RBImportErrorsSource implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

This source is used to display the names of files that could not be imported into the library, along with any error messages from the import process. When there are no import errors to display, the source is hidden.

The source allows the user to delete the import error entries, and to move the files to the trash.

When a file import fails, a RhythmDBEntry is created with a specific entry type for import errors. This source uses a query model that matches all such import error entries.

To keep import errors from removable devices separate from those from the main library, multiple import error sources can be created, with separate entry types. The generic audio player plugin, for example, creates an import error source for each device and inserts it into the source list as a child of the main source for the device.

## Functions

### rb_import_errors_source_new ()

    RBSource *
    rb_import_errors_source_new (RBShell *shell,
                                 RhythmDBEntryType *entry_type,
                                 RhythmDBEntryType *normal_entry_type,
                                 RhythmDBEntryType *ignore_entry_type);

Creates a new source for displaying import errors of the specified type.

#### Parameters

shell | the RBShell instance |
entry_type | the entry type to display in the source |
normal_entry_type | entry type for successfully imported entries of this type |
ignore_entry_type | entry type for entries of this type to be ignored |

#### Returns

a new import error source

## Types and Values

### struct RBImportErrorsSource

    struct RBImportErrorsSource;

### struct RBImportErrorsSourceClass

    struct RBImportErrorsSourceClass {
    	RBSourceClass parent;
    };

## Property Details

### The `“ignore-entry-type”` property

      “ignore-entry-type”        RhythmDBEntryType *

Entry type for entries of this type to be ignored.

Flags: Read / Write / Construct Only

### The `“normal-entry-type”` property

      “normal-entry-type”        RhythmDBEntryType *

Entry type for successfully imported entries of this type.

Flags: Read / Write / Construct Only